gd_nvectors(3)

NAME
gd_nvectors — report the number of vector fields in a dirfile

SYNOPSIS
#include <getdata.h>

unsigned int gd_nvectors(DIRFILE *dirfile);

DESCRIPTION
The gd_nvectors() function queries a dirfile(5) database specified by dirfile and returns the number of vector fields defined in the database (i.e. fields of types BIT, LINCOM, LINTERP, MULTIPLY, PHASE, POLYNOM, RAW, SBIT). Notably, this count does not include /META fields.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_nvectors() returns the number of vector fields in the dirfile. On error, it returns zero and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_open(3), gd_error(3), gd_error_string(3), gd_nfields(3), gd_nmvectors(3), gd_vector_list(3)